Freenas does not show system updates or available plugins

#1

After updating FreeNas to 11.2-U2.1, Freenas no longer loads the available plugins and it doesn’t show any system updates. I’m not sure if these problems are related? It seems it can’t access these files online. I primarily use FreeNas for Plex and to backup photo’s from our phones.

Someone did mention that a failing boot drive can cause weird problems. I have mirrored USB drives and from time to time I do get an error saying one of the boot drives has degraded. I tried to remove the USB’s one at a time and they both booted individually without any errors. I plugged them both back in and again no errors. This boot degrade is random and doesn’t happen very often.

When I click on Available Plugins I eventually get this error. Maybe someone understand it? I don’t :frowning: I would like to keep things up to date.

Any help is greatly appreciated. Thanks

<urlopen error [Errno 60] Operation timed out>

Error: concurrent.futures.process._RemoteTraceback:
“”"
Traceback (most recent call last):
File “/usr/local/lib/python3.6/urllib/request.py”, line 1318, in do_open
encode_chunked=req.has_header(‘Transfer-encoding’))
File “/usr/local/lib/python3.6/http/client.py”, line 1239, in request
self._send_request(method, url, body, headers, encode_chunked)
File “/usr/local/lib/python3.6/http/client.py”, line 1285, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File “/usr/local/lib/python3.6/http/client.py”, line 1234, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File “/usr/local/lib/python3.6/http/client.py”, line 1026, in _send_output
self.send(msg)
File “/usr/local/lib/python3.6/http/client.py”, line 964, in send
self.connect()
File “/usr/local/lib/python3.6/http/client.py”, line 1392, in connect
super().connect()
File “/usr/local/lib/python3.6/http/client.py”, line 936, in connect
(self.host,self.port), self.timeout, self.source_address)
File “/usr/local/lib/python3.6/socket.py”, line 724, in create_connection
raise err
File “/usr/local/lib/python3.6/socket.py”, line 713, in create_connection
sock.connect(sa)
TimeoutError: [Errno 60] Operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py”, line 646, in fetch_plugin_index
self.__clone_repo(git_server, git_working_dir)
File “/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py”, line 1258, in __clone_repo
porcelain.pull(destination, repo_url, errstream=devnull)
File “/usr/local/lib/python3.6/site-packages/dulwich/porcelain.py”, line 818, in pull
path, r, progress=errstream.write, determine_wants=determine_wants)
File “/usr/local/lib/python3.6/site-packages/dulwich/client.py”, line 363, in fetch
progress)
File “/usr/local/lib/python3.6/site-packages/dulwich/client.py”, line 1398, in fetch_pack
b"git-upload-pack", url)
File “/usr/local/lib/python3.6/site-packages/dulwich/client.py”, line 1282, in _discover_references
resp, read = self._http_request(url, headers, allow_compression=True)
File “/usr/local/lib/python3.6/site-packages/dulwich/client.py”, line 1261, in _http_request
resp = self.opener.open(req)
File “/usr/local/lib/python3.6/urllib/request.py”, line 526, in open
response = self._open(req, data)
File “/usr/local/lib/python3.6/urllib/request.py”, line 544, in _open
‘_open’, req)
File “/usr/local/lib/python3.6/urllib/request.py”, line 504, in _call_chain
result = func(*args)
File “/usr/local/lib/python3.6/urllib/request.py”, line 1361, in https_open
context=self._context, check_hostname=self._check_hostname)
File “/usr/local/lib/python3.6/urllib/request.py”, line 1320, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error [Errno 60] Operation timed out>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.6/concurrent/futures/process.py”, line 175, in _process_worker
r = call_item.fn(*call_item.args, **call_item.kwargs)
File “/usr/local/lib/python3.6/site-packages/middlewared/worker.py”, line 128, in main_worker
res = loop.run_until_complete(coro)
File “/usr/local/lib/python3.6/asyncio/base_events.py”, line 468, in run_until_complete
return future.result()
File “/usr/local/lib/python3.6/site-packages/middlewared/worker.py”, line 88, in _run
return await self._call(f’{service_name}.{method}’, serviceobj, methodobj, params=args, job=job)
File “/usr/local/lib/python3.6/site-packages/middlewared/worker.py”, line 81, in _call
return methodobj(*params)
File “/usr/local/lib/python3.6/site-packages/middlewared/worker.py”, line 81, in _call
return methodobj(*params)
File “/usr/local/lib/python3.6/site-packages/middlewared/schema.py”, line 668, in nf
return f(*args, **kwargs)
File “/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py”, line 502, in list_resource
header=False)
File “/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py”, line 914, in fetch
icon=True, official=official)
File “/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py”, line 653, in fetch_plugin_index
_callback=self.callback)
File “/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py”, line 90, in logit
_callback(content, exception)
File “/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py”, line 64, in callback
raise callback_exception(message)
RuntimeError: <urlopen error [Errno 60] Operation timed out>
“”"

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/usr/local/lib/python3.6/site-packages/middlewared/main.py”, line 165, in call_method
result = await self.middleware.call_method(self, message)
File “/usr/local/lib/python3.6/site-packages/middlewared/main.py”, line 1141, in call_method
return await self._call(message[‘method’], serviceobj, methodobj, params, app=app, io_thread=False)
File “/usr/local/lib/python3.6/site-packages/middlewared/main.py”, line 1078, in _call
return await self._call_worker(serviceobj, name, *args)
File “/usr/local/lib/python3.6/site-packages/middlewared/main.py”, line 1105, in _call_worker
job,
File “/usr/local/lib/python3.6/site-packages/middlewared/main.py”, line 1036, in run_in_proc
return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
File “/usr/local/lib/python3.6/site-packages/middlewared/main.py”, line 1021, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
RuntimeError: <urlopen error [Errno 60] Operation timed out>

#2

From the command line on that FreeNAS system can you ping freenas.org? If you have some thing blocking the servers ability to get to the internet that could be the cause of the update issue.

#3

If I open shell and type:
ping freenas.org
PING freenas.org (an ip address): 56 data bytes

Then nothing happens. I just have a cursor on the next line. I have Plex server running and I can access it outside my network although I realize it runs on a different ip address.

#4

Sounds like you have a network issues, very likely DNS or you have the firewall blocking it.

#5

I’m not sure what the DNS settings should be? Is there a port I have to forward for FreeNas? I don’t recall forwarding any ports when everything was working.
BTW Thanks for your help!

#6

When I go to the Legacy Web Interface and try to search for a system update I get this error…
Update server could not be reached

HTTPConnectionPool(host=‘update-master.ixsystems.com’, port=80): Max retries exceeded with url: /FreeNAS/trains.txt (Caused by ConnectTimeoutError(<urllib3.connection.HTTPConnection object at 0x81c2fe908>, ‘Connection to update-master.ixsystems.com timed out. (connect timeout=10)’))

Traceback

I tried to forward port 80 to my FreeNas box but it didn’t change anything.

#7

No, you don’t need to have a port forward, just make sure under Network -> Global Configuration you have good DNS servers and the proper default gateway.

#8

Under Network -> Global Configuration my default gateway has the same ip as my freenas, so when I log into FreeNas the ip address is 192.168.1.152, this is the same ip that is set under default gateway. I have tried 8.8.8.8 for nameserver1 and 8.8.4.4 under nameserver2.

#9

The default gateway need to be set to your routers address so it can reach outside networks.

#10

Thank you… I was afraid if I changed that I wouldn’t be able to access FreeNas.
It works again. I feel like an idiot.

#11

It’s not DNS. It can’t be DNS. Is it DNS? It’s always DNS!

Such is life.

Glad you were able to get it back up and working!

#12

Thank you again for taking your time to help.
I really enjoy your YouTube videos, although I don’t always understand everything your talking about :wink: normally I wouldn’t be afraid to tinker with pc’s, but I have tens of thousands of photo’s on this Freenas server and if I screw it up my wife will kill me!

1 Like